"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Operation_1 = __importDefault(require("../../Operation"));
const queries_1 = require("../queries");
describe('Operation-Tests', () => {
    it('render Operation - variable  in subqueries', () => {
        const columns = [
            'idTranslation',
            {
                text: {
                    columns: ['idText', 'text'],
                    variables: ['idLang'],
                },
            },
        ];
        const idTranslation = 5;
        const operation = new Operation_1.default({ idTranslation }, columns, queries_1.translationQuery);
        const received = {
            query: 'query translation($idLang:String,$idTranslation:Int){translation(idTranslation:$idTranslation){idTranslation text(idLang:$idLang){idText text}}}',
            variables: { idTranslation: 5 },
        };
        const params = operation.params();
        expect(params.query).toEqual(received.query);
        expect(params.variables.idTranslation).toEqual(received.variables.idTranslation);
    });
});
//# sourceMappingURL=Operation.js.map